{% macro render_field_with_errors(field, type_class) %}
  <div class="field">
    {{ field.label(class_='label') }}
    <div class="control">
      {% if field.errors %}
        {{ field(class_=type_class + " is-danger", **kwargs)|safe }}
        {% for error in field.errors %}
          <p class="help is-danger">{{ error }}</p>
        {% endfor %}
      {% else %}
        {{ field(class_=type_class, **kwargs)|safe }}
      {% endif %}
    </div> 
    
  </div>
{% endmacro %}

{% macro render_field(field) %}
  <p>{{ field(**kwargs)|safe }}</p>
{% endmacro %}
